Message::Passing::Output::File(3pm)

NAME
Message::Passing::Output::File - File output

SYNOPSIS
    message-pass --input STDIN --output File --output_options '{"filename": "/tmp/my.log"}'
    {"foo": "bar"}
    {"foo":"bar"}

DESCRIPTION
Output messages to File

METHODS

  append
A boolean attribute for if the output file should be re-created, or appended to. Default true.

  filename
An attribute for the file name to write to.

  consume
Consumes a message by JSON encoding it and printing it, followed by \n

SEE ALSO
Message::Passing

SPONSORSHIP
This module exists due to the wonderful people at Suretec Systems Ltd. <http://www.suretecsystems.com/> who sponsored its development for its VoIP division called SureVoIP <http://www.surevoip.co.uk/> for use with the SureVoIP API - <http://www.surevoip.co.uk/support/wiki/api_documentation>

AUTHOR, COPYRIGHT AND LICENSE
See Message::Passing.